import { BaseField } from '../../BaseField';
export class RelationReferenceField extends BaseField {
  constructor(id, title, titleField, imageField, relationCollection, nameInRelationCollection, otherCollection, nameOfOtherCollectionInRelationCollection, fields, otherCollectionFields) {
    super(id, 'relation-reference');
    this.title = title;
    this.titleField = titleField;
    this.imageField = imageField;
    this.relationCollection = relationCollection;
    this.nameInRelationCollection = nameInRelationCollection;
    this.otherCollection = otherCollection;
    this.nameOfOtherCollectionInRelationCollection = nameOfOtherCollectionInRelationCollection;
    this.fields = fields;
    this.otherCollectionFields = otherCollectionFields;
  }
  showPreview() {
    this.preview = true;
    return this;
  }
  getDisplayValue(value) {
    return value;
  }
}
RelationReferenceField.type = 'relation-reference';
